Class::Accessor::Faster(3)

NAME
Class::Accessor::Faster - Even faster, but less expandable, accessors

SYNOPSIS
  package Foo;
  use base qw(Class::Accessor::Faster);

DESCRIPTION
This is a faster but less expandable version of Class::Accessor::Fast.

Class::Accessor's generated accessors require two method calls to accompish their task (one for the accessor, another for get() or set()).

Class::Accessor::Fast eliminates calling set()/get() and does the access itself, resulting in a somewhat faster accessor.

Class::Accessor::Faster uses an array reference underneath to be faster.

Read the documentation for Class::Accessor for more info.

AUTHORS
Copyright 2006 Marty Pauley <marty+perl@kasei.com>

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. That means either (a) the GNU General Public License or (b) the Artistic License.

SEE ALSO
Class::Accessor